GSPL-CPLIST(8)

NAME
gspl-plist - dump out GNUspool printers to a shell script

SYNOPSIS
gspl-plist [ -D dir ] [ -e n ] [ -s ] [ -f ] [ -l ] ptr file outfile

DESCRIPTION
gspl-plist converts GNUspool printers held in the spool directory to an executable shell script which may be used to re-install them. This may be useful for backup purposes or for one stage in upgrade from one release of GNUspool to another.

gspl-plist considers a GNUspool spool directory, by default the current directory, takes the printer file, which is usually spshed_pfile, and generates a shell script file outfile, which if executed, would recreate the GNUspool printers with the same options.

N.B. setup files are not copied, this should be done as a separate exercise. In many cases these can be separately copied over from one release to the next.

In addition to options, two arguments are always supplied to gspl-plist.

Printer list file
    This is the file containing the attributes of the printers, spshed_pfile in the spool directory or as relocated by re-specifying "SPOOLDIR".

Output file
    This file is created by gspl-plist to contain the executable shell script, containing gspl-padd(1) commands, which may be used to reinstall the printers.

OPTIONS

-D directory
    specifies the source directory for the printers and ptr file. It can be specified as $SPOOLDIR or "${SPOOLDIR-/var/spool/gnuspool}" etc and the environment and/or gnuspool.conf will be interrogated to interpolate the value of the environment variable given.

    If you use this, don't forget to put single quotes around it thus:

     gspl-plist -D '${SPOOLDIR-/var/spool/gnuspool}' ...

    otherwise the shell will try to interpret the "$" construct and not gspl-plist.

-e n
    Tolerate n errors of the kinds denoted by the other options before giving up trying to convert the file.

-f  Ignore format errors (invalid form types etc) in the saved printer file up to the limit of number of errors given by the -e option.

-l  Modify the shell script created so that printers recreated with be "local only" access rather than network wide.

-s  Ignore file size errors in the saved printer file (up to the number of total errors given by the -e option.

SEE ALSO
gspl-cjlist(8), gspl-setspdir(8), gspl-spuconv(8).

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.